%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           lcms
Version:        1.18
Release:        0.1.beta1%{?dist}.2
Summary:        Color Management System

Group:          Applications/Productivity
License:        LGPL
URL:            http://www.littlecms.com/
Source0:        http://www.littlecms.com/lcms-%{version}beta1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  swig >= 1.3.12
BuildRequires:  zlib-devel
BuildRequires:  automake, autoconf, libtool

Provides:       littlecms = %{version}-%{release}

Patch1:         lcms-1.16-python-lib64.patch
Patch2:         lcms-1.18beta1-division-by-zero.patch


%description
LittleCMS intends to be a small-footprint, speed optimized color management
engine in open source form.


%package     -n python-%{name}
Summary:        Python interface to LittleCMS.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       python, %{python_sitearch}
Provides:       python-littlecms = %{version}-%{release}

%description -n python-%{name}
Python interface to LittleCMS.


%package        devel
Summary:        Development files for LittleCMS
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Provides:       littlecms-devel = %{version}-%{release}

%description    devel
Development files for LittleCMS.


%prep
%setup -q
find -name '*.c' | xargs chmod a-x
find -name '*.h' | xargs chmod a-x
%patch1 -p1 -b .python-lib64
%patch2 -p1 -b .zero-div


%build
autoreconf -i
%configure --with-python
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}
chmod 0644 AUTHORS COPYING ChangeLog NEWS README.1ST doc/TUTORIAL.TXT doc/LCMSAPI.TXT
find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
touch ${RPM_BUILD_ROOT}%{python_sitearch}/lcms.py{c,o}


%clean
rm -rf ${RPM_BUILD_ROOT}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README.1ST doc/TUTORIAL.TXT
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%doc doc/LCMSAPI.TXT
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n python-%{name}
%defattr(-,root,root,-)
%{python_sitearch}/lcms.py
%{python_sitearch}/_lcms.so
%exclude %{python_sitearch}/_lcms.a
%ghost %{python_sitearch}/lcms.py?

%changelog
* Fri Mar  6 2009 Tomas Bzatek <tbzatek@redhat.com> - 1.18-beta1.1.el5_3.2
- Add patch theoretically preventing division by zero

* Fri Feb 27 2009 Tomas Bzatek <tbzatek@redhat.com> - 1.18-beta1.1.el5_3.1
- Rebase to upstream 1.18beta1
- CVE-2009-0581 LittleCms memory leak
- CVE-2009-0723 LittleCms integer overflow
- CVE-2009-0733 LittleCms lack of upper-bounds check on sizes
- Resolves: #487513

* Wed Dec  3 2008 Tomas Bzatek <tbzatek@redhat.com> - 1.15-1.2.2.el5_2.2
- Fix Requires to ensure subpackages match the parent package

* Tue Dec  2 2008 Tomas Bzatek <tbzatek@redhat.com> - 1.15-1.2.2.el5_2.1
- Fix insufficient input validation in ReadEmbeddedTextTag
- Fix unsigned -> signed integer cast issue in cmsAllocGamma
- Resolves: #473469

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Mon Feb 13 2006 Jesse Keating <jkeating@redhat.com> - 1.15-1.2.1
- rebump for build order issues during double-long bump

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.15-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.15-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 1.15-1
- Move from extras to core, update to 1.15

* Sun May 22 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.14-3
- Fix FC4 build (#114146).

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu May 20 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.14-1
- Update to 1.14.

* Thu May 20 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.13-0.fdr.1
- Updated to 1.13.

* Mon Feb 16 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.12-0.fdr.2
- Spec patch from Ville Skyttä.
- New sub-package: python-lcms.

* Sun Dec 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.12-0.fdr.1
- Updated to 1.12.
- BuildReq swig >=1.3.12.

* Sun Nov 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.11-0.fdr.3
- Fixed doc attributes.

* Sat Oct 11 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.11-0.fdr.2
- Renamed to lcms to match upstream.
- Provides: littlecms.
- Fixed doc attributes.
- Excluding empty dir %%{_libdir}/python2.2/

* Thu Oct 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.11-0.fdr.1
- Initial RPM release.
